using System;
using Consulenza.ReportWriter.Business;
using Consulenza.ReportWriter.Business.OBJ_PDF;

namespace Consulenza.ReportWriter.Manager.Section.Unica.Diagnosi
{
    /// <summary>
    /// Scheda 1. Copertina. IdSezione 44
    /// </summary>
    public class S1 : Unica.S1
    {
        public S1(EnvironmentFacade environmentFacade, int idSection)
            : base(environmentFacade, idSection)
        {
           
            var testi = GetText();
            ExtendedProperties.Add("titoloReport", testi.Rows[0]["testo1"].ToString());

            try
            {
                Draw();
            }
            catch (Exception ex)
            {
                SectionLogger.Write("S1", ex.Message, SectionLoggerMessageLevel.E, EnvironmentFacade.ReportEnvironment);
            }
        }
    }
}
